Asset Chart Points
curl --request GET \
--url https://api.diadata.org/v1/assetChartPoints/{filter}/{blockchain}/{address}import requests
url = "https://api.diadata.org/v1/assetChartPoints/{filter}/{blockchain}/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.diadata.org/v1/assetChartPoints/{filter}/{blockchain}/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{"DataPoints":[{"Series":[{"name":"filters","columns":["time","exchange","filter","symbol","value"],"values":[["2020-05-19T08:17:59Z",null,"MEDIR120","EOS",2.6236194301032314]]}],"Messages":null}]}
Chart Points for Graphs
Asset Chart Points
Get asset details for all exchanges.
GET
/
v1
/
assetChartPoints
/
{filter}
/
{blockchain}
/
{address}
Asset Chart Points
Remark: Careful! Successful responses can be rather large.
Path Parameters
integer
Unix timestamp setting the start of the return array
integer
Unix timestamp setting the end of the return array
string
required
Which filter should be applied (Available options: MA120, MEDIR120, VOL120 and
MAIR120)
string
required
A valid blockchain from GET /v1/blockchains, e.g., Bitcoin
string
required
A valid asset address from GET /v1/token/:symbol, e.g.,
0x000000000000000000000000000000000000000 for BTC
Query Parameters
string
Which scale the graph points distance should have. Available options: 5m 30m
1h 4h 1d 1w
{"DataPoints":[{"Series":[{"name":"filters","columns":["time","exchange","filter","symbol","value"],"values":[["2020-05-19T08:17:59Z",null,"MEDIR120","EOS",2.6236194301032314]]}],"Messages":null}]}
Was this page helpful?